org.wso2.carbon.rest.api.stub

## Class RestApiAdminStub

- java.lang.Object
- - org.apache.axis2.client.Stub
  - - org.wso2.carbon.rest.api.stub.RestApiAdminStub

- All Implemented Interfaces:
    RestApiAdmin

      public class RestApiAdminStub
      extends org.apache.axis2.client.Stub
      implements RestApiAdmin

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected org.apache.axis2.description.AxisOperation[]` | `_operations`

    - ### Fields inherited from class org.apache.axis2.client.Stub

      `_service, _serviceClient, modules`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RestApiAdminStub()` Default Constructor
    `RestApiAdminStub(org.apache.axis2.context.ConfigurationContext configurationContext)` Default Constructor
    `RestApiAdminStub(org.apache.axis2.context.ConfigurationContext configurationContext, String targetEndpoint)` Constructor that takes in a configContext
    `RestApiAdminStub(org.apache.axis2.context.ConfigurationContext configurationContext, String targetEndpoint, boolean useSeparateListener)` Constructor that takes in a configContext and useseperate listner
    `RestApiAdminStub(String targetEndpoint)` Constructor taking the target endpoint

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `addApi(APIData apiData269)` Auto generated method signature
    `boolean` | `addApiForTenant(String apiData218, String tenantDomain219)` Auto generated method signature
    `boolean` | `addApiFromString(String apiData214)` Auto generated method signature
    `void` | `addSwaggerDocument(String apiName248, String swaggerJsonString249, int tenantId250)` Auto generated method signature
    `void` | `deleteAllApi()` Auto generated method signature
    `boolean` | `deleteApi(String apiName174)` Auto generated method signature
    `boolean` | `deleteApiForTenant(String apiName223, String tenantDomain224)` Auto generated method signature
    `void` | `deleteSelectedApi(String[] apiNames212)` Auto generated method signature
    `String` | `disableStatistics(String apiName196)` Auto generated method signature
    `String` | `disableTracing(String apiName182)` Auto generated method signature
    `String` | `enableStatistics(String apiName200)` Auto generated method signature
    `String` | `enableTracing(String apiName208)` Auto generated method signature
    `String` | `generateAPIFromSwagger(String swaggerJsonString273)` Auto generated method signature
    `String` | `generateUpdatedAPIFromSwagger(String swaggerJsonString169, String existingApiName170)` Auto generated method signature
    `APIData` | `getApiByName(String apiName178)` Auto generated method signature
    `int` | `getAPICount()` Auto generated method signature
    `APIData` | `getApiForTenant(String apiName191, String tenantDomain192)` Auto generated method signature
    `String[]` | `getApiNames()` Auto generated method signature
    `APIData[]` | `getAPIsForListing(int pageNumber186, int itemsPerPage187)` Auto generated method signature
    `String` | `getApiSource(APIData apiData243)` Auto generated method signature
    `String` | `getResourceSource(ResourceData resourceData236)` Auto generated method signature
    `String[]` | `getSequences()` Auto generated method signature
    `String` | `getServerContext()` Auto generated method signature
    `String` | `getSwaggerDocument(String apiName228, int tenantId229)` Auto generated method signature
    `void` | `startaddApi(APIData apiData269, RestApiAdminCallbackHandler callback)` Auto generated method signature for Asynchronous Invocations
    `void` | `startaddApiForTenant(String apiData218, String tenantDomain219, RestApiAdminCallbackHandler callback)` Auto generated method signature for Asynchronous Invocations
    `void` | `startaddApiFromString(String apiData214, RestApiAdminCallbackHandler callback)` Auto generated method signature for Asynchronous Invocations
    `void` | `startdeleteApi(String apiName174, RestApiAdminCallbackHandler callback)` Auto generated method signature for Asynchronous Invocations
    `void` | `startdeleteApiForTenant(String apiName223, String tenantDomain224, RestApiAdminCallbackHandler callback)` Auto generated method signature for Asynchronous Invocations
    `void` | `startdisableStatistics(String apiName196, RestApiAdminCallbackHandler callback)` Auto generated method signature for Asynchronous Invocations
    `void` | `startdisableTracing(String apiName182, RestApiAdminCallbackHandler callback)` Auto generated method signature for Asynchronous Invocations
    `void` | `startenableStatistics(String apiName200, RestApiAdminCallbackHandler callback)` Auto generated method signature for Asynchronous Invocations
    `void` | `startenableTracing(String apiName208, RestApiAdminCallbackHandler callback)` Auto generated method signature for Asynchronous Invocations
    `void` | `startgenerateAPIFromSwagger(String swaggerJsonString273, RestApiAdminCallbackHandler callback)` Auto generated method signature for Asynchronous Invocations
    `void` | `startgenerateUpdatedAPIFromSwagger(String swaggerJsonString169, String existingApiName170, RestApiAdminCallbackHandler callback)` Auto generated method signature for Asynchronous Invocations
    `void` | `startgetApiByName(String apiName178, RestApiAdminCallbackHandler callback)` Auto generated method signature for Asynchronous Invocations
    `void` | `startgetAPICount(RestApiAdminCallbackHandler callback)` Auto generated method signature for Asynchronous Invocations
    `void` | `startgetApiForTenant(String apiName191, String tenantDomain192, RestApiAdminCallbackHandler callback)` Auto generated method signature for Asynchronous Invocations
    `void` | `startgetApiNames(RestApiAdminCallbackHandler callback)` Auto generated method signature for Asynchronous Invocations
    `void` | `startgetAPIsForListing(int pageNumber186, int itemsPerPage187, RestApiAdminCallbackHandler callback)` Auto generated method signature for Asynchronous Invocations
    `void` | `startgetApiSource(APIData apiData243, RestApiAdminCallbackHandler callback)` Auto generated method signature for Asynchronous Invocations
    `void` | `startgetResourceSource(ResourceData resourceData236, RestApiAdminCallbackHandler callback)` Auto generated method signature for Asynchronous Invocations
    `void` | `startgetSequences(RestApiAdminCallbackHandler callback)` Auto generated method signature for Asynchronous Invocations
    `void` | `startgetServerContext(RestApiAdminCallbackHandler callback)` Auto generated method signature for Asynchronous Invocations
    `void` | `startgetSwaggerDocument(String apiName228, int tenantId229, RestApiAdminCallbackHandler callback)` Auto generated method signature for Asynchronous Invocations
    `void` | `startupdateApi(String apiName252, APIData apiData253, RestApiAdminCallbackHandler callback)` Auto generated method signature for Asynchronous Invocations
    `void` | `startupdateApiForTenant(String apiName260, String apiData261, String tenantDomain262, RestApiAdminCallbackHandler callback)` Auto generated method signature for Asynchronous Invocations
    `void` | `startupdateApiFromString(String apiName164, String apiData165, RestApiAdminCallbackHandler callback)` Auto generated method signature for Asynchronous Invocations
    `boolean` | `updateApi(String apiName252, APIData apiData253)` Auto generated method signature
    `boolean` | `updateApiForTenant(String apiName260, String apiData261, String tenantDomain262)` Auto generated method signature
    `boolean` | `updateApiFromString(String apiName164, String apiData165)` Auto generated method signature
    `void` | `updateSwaggerDocument(String apiName204, String swaggerJsonString205, int tenantId206)` Auto generated method signature

    - ### Methods inherited from class org.apache.axis2.client.Stub

      `_getServiceClient, _setServiceClient, addAnonymousOperations, addHeader, addHeader, addHttpHeader, addPropertyToOperationClient, addPropertyToOperationClient, addPropertyToOperationClient, cleanup, createEnvelope, finalize, getFactory, setMustUnderstand, setServiceClientEPR`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### _operations

          protected org.apache.axis2.description.AxisOperation[] _operations

  - ### Constructor Detail

    - #### RestApiAdminStub

          public RestApiAdminStub(org.apache.axis2.context.ConfigurationContext configurationContext,
                                  String targetEndpoint)
                           throws org.apache.axis2.AxisFault

      Constructor that takes in a configContext
      Throws:
        `org.apache.axis2.AxisFault`

    - #### RestApiAdminStub

          public RestApiAdminStub(org.apache.axis2.context.ConfigurationContext configurationContext,
                                  String targetEndpoint,
                                  boolean useSeparateListener)
                           throws org.apache.axis2.AxisFault

      Constructor that takes in a configContext and useseperate listner
      Throws:
        `org.apache.axis2.AxisFault`

    - #### RestApiAdminStub

          public RestApiAdminStub(org.apache.axis2.context.ConfigurationContext configurationContext)
                           throws org.apache.axis2.AxisFault

      Default Constructor
      Throws:
        `org.apache.axis2.AxisFault`

    - #### RestApiAdminStub

          public RestApiAdminStub()
                           throws org.apache.axis2.AxisFault

      Default Constructor
      Throws:
        `org.apache.axis2.AxisFault`

    - #### RestApiAdminStub

          public RestApiAdminStub(String targetEndpoint)
                           throws org.apache.axis2.AxisFault

      Constructor taking the target endpoint
      Throws:
        `org.apache.axis2.AxisFault`

  - ### Method Detail

    - #### updateApiFromString

          public boolean updateApiFromString(String apiName164,
                                             String apiData165)
                                      throws RemoteException,
                                             RestApiAdminAPIException

      Auto generated method signature
      Specified by:
        `updateApiFromString` in interface `RestApiAdmin`
      Parameters:
        `updateApiFromString163` -
      Throws:
        `RestApiAdminAPIException` - :
        `RemoteException`
      See Also:
        `RestApiAdmin.updateApiFromString(java.lang.String, java.lang.String)`

    - #### startupdateApiFromString

          public void startupdateApiFromString(String apiName164,
                                               String apiData165,
                                               RestApiAdminCallbackHandler callback)
                                        throws RemoteException

      Auto generated method signature for Asynchronous Invocations
      Specified by:
        `startupdateApiFromString` in interface `RestApiAdmin`
      Parameters:
        `updateApiFromString163` -
      Throws:
        `RemoteException`
      See Also:
        `RestApiAdmin.startupdateApiFromString(java.lang.String, java.lang.String, org.wso2.carbon.rest.api.stub.RestApiAdminCallbackHandler)`

    - #### generateUpdatedAPIFromSwagger

          public String generateUpdatedAPIFromSwagger(String swaggerJsonString169,
                                                      String existingApiName170)
                                               throws RemoteException,
                                                      RestApiAdminAPIException

      Auto generated method signature
      Specified by:
        `generateUpdatedAPIFromSwagger` in interface `RestApiAdmin`
      Parameters:
        `generateUpdatedAPIFromSwagger168` -
      Throws:
        `RestApiAdminAPIException` - :
        `RemoteException`
      See Also:
        `RestApiAdmin.generateUpdatedAPIFromSwagger(java.lang.String, java.lang.String)`

    - #### startgenerateUpdatedAPIFromSwagger

          public void startgenerateUpdatedAPIFromSwagger(String swaggerJsonString169,
                                                         String existingApiName170,
                                                         RestApiAdminCallbackHandler callback)
                                                  throws RemoteException

      Auto generated method signature for Asynchronous Invocations
      Specified by:
        `startgenerateUpdatedAPIFromSwagger` in interface `RestApiAdmin`
      Parameters:
        `generateUpdatedAPIFromSwagger168` -
      Throws:
        `RemoteException`
      See Also:
        `RestApiAdmin.startgenerateUpdatedAPIFromSwagger(java.lang.String, java.lang.String, org.wso2.carbon.rest.api.stub.RestApiAdminCallbackHandler)`

    - #### deleteApi

          public boolean deleteApi(String apiName174)
                            throws RemoteException,
                                   RestApiAdminAPIException

      Auto generated method signature
      Specified by:
        `deleteApi` in interface `RestApiAdmin`
      Parameters:
        `deleteApi173` -
      Throws:
        `RestApiAdminAPIException` - :
        `RemoteException`
      See Also:
        `RestApiAdmin.deleteApi(java.lang.String)`

    - #### startdeleteApi

          public void startdeleteApi(String apiName174,
                                     RestApiAdminCallbackHandler callback)
                              throws RemoteException

      Auto generated method signature for Asynchronous Invocations
      Specified by:
        `startdeleteApi` in interface `RestApiAdmin`
      Parameters:
        `deleteApi173` -
      Throws:
        `RemoteException`
      See Also:
        `RestApiAdmin.startdeleteApi(java.lang.String, org.wso2.carbon.rest.api.stub.RestApiAdminCallbackHandler)`

    - #### getApiByName

          public APIData getApiByName(String apiName178)
                               throws RemoteException

      Auto generated method signature
      Specified by:
        `getApiByName` in interface `RestApiAdmin`
      Parameters:
        `getApiByName177` -
      Throws:
        `RemoteException`
      See Also:
        `RestApiAdmin.getApiByName(java.lang.String)`

    - #### startgetApiByName

          public void startgetApiByName(String apiName178,
                                        RestApiAdminCallbackHandler callback)
                                 throws RemoteException

      Auto generated method signature for Asynchronous Invocations
      Specified by:
        `startgetApiByName` in interface `RestApiAdmin`
      Parameters:
        `getApiByName177` -
      Throws:
        `RemoteException`
      See Also:
        `RestApiAdmin.startgetApiByName(java.lang.String, org.wso2.carbon.rest.api.stub.RestApiAdminCallbackHandler)`

    - #### disableTracing

          public String disableTracing(String apiName182)
                                throws RemoteException,
                                       RestApiAdminAPIException

      Auto generated method signature
      Specified by:
        `disableTracing` in interface `RestApiAdmin`
      Parameters:
        `disableTracing181` -
      Throws:
        `RestApiAdminAPIException` - :
        `RemoteException`
      See Also:
        `RestApiAdmin.disableTracing(java.lang.String)`

    - #### startdisableTracing

          public void startdisableTracing(String apiName182,
                                          RestApiAdminCallbackHandler callback)
                                   throws RemoteException

      Auto generated method signature for Asynchronous Invocations
      Specified by:
        `startdisableTracing` in interface `RestApiAdmin`
      Parameters:
        `disableTracing181` -
      Throws:
        `RemoteException`
      See Also:
        `RestApiAdmin.startdisableTracing(java.lang.String, org.wso2.carbon.rest.api.stub.RestApiAdminCallbackHandler)`

    - #### getAPIsForListing

          public APIData[] getAPIsForListing(int pageNumber186,
                                             int itemsPerPage187)
                                      throws RemoteException

      Auto generated method signature
      Specified by:
        `getAPIsForListing` in interface `RestApiAdmin`
      Parameters:
        `getAPIsForListing185` -
      Throws:
        `RemoteException`
      See Also:
        `RestApiAdmin.getAPIsForListing(int, int)`

    - #### startgetAPIsForListing

          public void startgetAPIsForListing(int pageNumber186,
                                             int itemsPerPage187,
                                             RestApiAdminCallbackHandler callback)
                                      throws RemoteException

      Auto generated method signature for Asynchronous Invocations
      Specified by:
        `startgetAPIsForListing` in interface `RestApiAdmin`
      Parameters:
        `getAPIsForListing185` -
      Throws:
        `RemoteException`
      See Also:
        `RestApiAdmin.startgetAPIsForListing(int, int, org.wso2.carbon.rest.api.stub.RestApiAdminCallbackHandler)`

    - #### getApiForTenant

          public APIData getApiForTenant(String apiName191,
                                         String tenantDomain192)
                                  throws RemoteException,
                                         RestApiAdminAPIException

      Auto generated method signature
      Specified by:
        `getApiForTenant` in interface `RestApiAdmin`
      Parameters:
        `getApiForTenant190` -
      Throws:
        `RestApiAdminAPIException` - :
        `RemoteException`
      See Also:
        `RestApiAdmin.getApiForTenant(java.lang.String, java.lang.String)`

    - #### startgetApiForTenant

          public void startgetApiForTenant(String apiName191,
                                           String tenantDomain192,
                                           RestApiAdminCallbackHandler callback)
                                    throws RemoteException

      Auto generated method signature for Asynchronous Invocations
      Specified by:
        `startgetApiForTenant` in interface `RestApiAdmin`
      Parameters:
        `getApiForTenant190` -
      Throws:
        `RemoteException`
      See Also:
        `RestApiAdmin.startgetApiForTenant(java.lang.String, java.lang.String, org.wso2.carbon.rest.api.stub.RestApiAdminCallbackHandler)`

    - #### disableStatistics

          public String disableStatistics(String apiName196)
                                   throws RemoteException,
                                          RestApiAdminAPIException

      Auto generated method signature
      Specified by:
        `disableStatistics` in interface `RestApiAdmin`
      Parameters:
        `disableStatistics195` -
      Throws:
        `RestApiAdminAPIException` - :
        `RemoteException`
      See Also:
        `RestApiAdmin.disableStatistics(java.lang.String)`

    - #### startdisableStatistics

          public void startdisableStatistics(String apiName196,
                                             RestApiAdminCallbackHandler callback)
                                      throws RemoteException

      Auto generated method signature for Asynchronous Invocations
      Specified by:
        `startdisableStatistics` in interface `RestApiAdmin`
      Parameters:
        `disableStatistics195` -
      Throws:
        `RemoteException`
      See Also:
        `RestApiAdmin.startdisableStatistics(java.lang.String, org.wso2.carbon.rest.api.stub.RestApiAdminCallbackHandler)`

    - #### enableStatistics

          public String enableStatistics(String apiName200)
                                  throws RemoteException,
                                         RestApiAdminAPIException

      Auto generated method signature
      Specified by:
        `enableStatistics` in interface `RestApiAdmin`
      Parameters:
        `enableStatistics199` -
      Throws:
        `RestApiAdminAPIException` - :
        `RemoteException`
      See Also:
        `RestApiAdmin.enableStatistics(java.lang.String)`

    - #### startenableStatistics

          public void startenableStatistics(String apiName200,
                                            RestApiAdminCallbackHandler callback)
                                     throws RemoteException

      Auto generated method signature for Asynchronous Invocations
      Specified by:
        `startenableStatistics` in interface `RestApiAdmin`
      Parameters:
        `enableStatistics199` -
      Throws:
        `RemoteException`
      See Also:
        `RestApiAdmin.startenableStatistics(java.lang.String, org.wso2.carbon.rest.api.stub.RestApiAdminCallbackHandler)`

    - #### updateSwaggerDocument

          public void updateSwaggerDocument(String apiName204,
                                            String swaggerJsonString205,
                                            int tenantId206)
                                     throws RemoteException,
                                            RestApiAdminAPIException

      Auto generated method signature
      Specified by:
        `updateSwaggerDocument` in interface `RestApiAdmin`
      Throws:
        `RestApiAdminAPIException` - :
        `RemoteException`

    - #### enableTracing

          public String enableTracing(String apiName208)
                               throws RemoteException,
                                      RestApiAdminAPIException

      Auto generated method signature
      Specified by:
        `enableTracing` in interface `RestApiAdmin`
      Parameters:
        `enableTracing207` -
      Throws:
        `RestApiAdminAPIException` - :
        `RemoteException`
      See Also:
        `RestApiAdmin.enableTracing(java.lang.String)`

    - #### startenableTracing

          public void startenableTracing(String apiName208,
                                         RestApiAdminCallbackHandler callback)
                                  throws RemoteException

      Auto generated method signature for Asynchronous Invocations
      Specified by:
        `startenableTracing` in interface `RestApiAdmin`
      Parameters:
        `enableTracing207` -
      Throws:
        `RemoteException`
      See Also:
        `RestApiAdmin.startenableTracing(java.lang.String, org.wso2.carbon.rest.api.stub.RestApiAdminCallbackHandler)`

    - #### deleteSelectedApi

          public void deleteSelectedApi(String[] apiNames212)
                                 throws RemoteException,
                                        RestApiAdminAPIException

      Auto generated method signature
      Specified by:
        `deleteSelectedApi` in interface `RestApiAdmin`
      Throws:
        `RestApiAdminAPIException` - :
        `RemoteException`

    - #### addApiFromString

          public boolean addApiFromString(String apiData214)
                                   throws RemoteException,
                                          RestApiAdminAPIException

      Auto generated method signature
      Specified by:
        `addApiFromString` in interface `RestApiAdmin`
      Parameters:
        `addApiFromString213` -
      Throws:
        `RestApiAdminAPIException` - :
        `RemoteException`
      See Also:
        `RestApiAdmin.addApiFromString(java.lang.String)`

    - #### startaddApiFromString

          public void startaddApiFromString(String apiData214,
                                            RestApiAdminCallbackHandler callback)
                                     throws RemoteException

      Auto generated method signature for Asynchronous Invocations
      Specified by:
        `startaddApiFromString` in interface `RestApiAdmin`
      Parameters:
        `addApiFromString213` -
      Throws:
        `RemoteException`
      See Also:
        `RestApiAdmin.startaddApiFromString(java.lang.String, org.wso2.carbon.rest.api.stub.RestApiAdminCallbackHandler)`

    - #### addApiForTenant

          public boolean addApiForTenant(String apiData218,
                                         String tenantDomain219)
                                  throws RemoteException,
                                         RestApiAdminAPIException

      Auto generated method signature
      Specified by:
        `addApiForTenant` in interface `RestApiAdmin`
      Parameters:
        `addApiForTenant217` -
      Throws:
        `RestApiAdminAPIException` - :
        `RemoteException`
      See Also:
        `RestApiAdmin.addApiForTenant(java.lang.String, java.lang.String)`

    - #### startaddApiForTenant

          public void startaddApiForTenant(String apiData218,
                                           String tenantDomain219,
                                           RestApiAdminCallbackHandler callback)
                                    throws RemoteException

      Auto generated method signature for Asynchronous Invocations
      Specified by:
        `startaddApiForTenant` in interface `RestApiAdmin`
      Parameters:
        `addApiForTenant217` -
      Throws:
        `RemoteException`
      See Also:
        `RestApiAdmin.startaddApiForTenant(java.lang.String, java.lang.String, org.wso2.carbon.rest.api.stub.RestApiAdminCallbackHandler)`

    - #### deleteApiForTenant

          public boolean deleteApiForTenant(String apiName223,
                                            String tenantDomain224)
                                     throws RemoteException,
                                            RestApiAdminAPIException

      Auto generated method signature
      Specified by:
        `deleteApiForTenant` in interface `RestApiAdmin`
      Parameters:
        `deleteApiForTenant222` -
      Throws:
        `RestApiAdminAPIException` - :
        `RemoteException`
      See Also:
        `RestApiAdmin.deleteApiForTenant(java.lang.String, java.lang.String)`

    - #### startdeleteApiForTenant

          public void startdeleteApiForTenant(String apiName223,
                                              String tenantDomain224,
                                              RestApiAdminCallbackHandler callback)
                                       throws RemoteException

      Auto generated method signature for Asynchronous Invocations
      Specified by:
        `startdeleteApiForTenant` in interface `RestApiAdmin`
      Parameters:
        `deleteApiForTenant222` -
      Throws:
        `RemoteException`
      See Also:
        `RestApiAdmin.startdeleteApiForTenant(java.lang.String, java.lang.String, org.wso2.carbon.rest.api.stub.RestApiAdminCallbackHandler)`

    - #### getSwaggerDocument

          public String getSwaggerDocument(String apiName228,
                                           int tenantId229)
                                    throws RemoteException,
                                           RestApiAdminAPIException

      Auto generated method signature
      Specified by:
        `getSwaggerDocument` in interface `RestApiAdmin`
      Parameters:
        `getSwaggerDocument227` -
      Throws:
        `RestApiAdminAPIException` - :
        `RemoteException`
      See Also:
        `RestApiAdmin.getSwaggerDocument(java.lang.String, int)`

    - #### startgetSwaggerDocument

          public void startgetSwaggerDocument(String apiName228,
                                              int tenantId229,
                                              RestApiAdminCallbackHandler callback)
                                       throws RemoteException

      Auto generated method signature for Asynchronous Invocations
      Specified by:
        `startgetSwaggerDocument` in interface `RestApiAdmin`
      Parameters:
        `getSwaggerDocument227` -
      Throws:
        `RemoteException`
      See Also:
        `RestApiAdmin.startgetSwaggerDocument(java.lang.String, int, org.wso2.carbon.rest.api.stub.RestApiAdminCallbackHandler)`

    - #### getSequences

          public String[] getSequences()
                                throws RemoteException

      Auto generated method signature
      Specified by:
        `getSequences` in interface `RestApiAdmin`
      Parameters:
        `getSequences232` -
      Throws:
        `RemoteException`
      See Also:
        `RestApiAdmin.getSequences()`

    - #### startgetSequences

          public void startgetSequences(RestApiAdminCallbackHandler callback)
                                 throws RemoteException

      Auto generated method signature for Asynchronous Invocations
      Specified by:
        `startgetSequences` in interface `RestApiAdmin`
      Parameters:
        `getSequences232` -
      Throws:
        `RemoteException`
      See Also:
        `RestApiAdmin.startgetSequences(org.wso2.carbon.rest.api.stub.RestApiAdminCallbackHandler)`

    - #### getResourceSource

          public String getResourceSource(ResourceData resourceData236)
                                   throws RemoteException

      Auto generated method signature
      Specified by:
        `getResourceSource` in interface `RestApiAdmin`
      Parameters:
        `getResourceSource235` -
      Throws:
        `RemoteException`
      See Also:
        `RestApiAdmin.getResourceSource(org.wso2.carbon.rest.api.stub.types.carbon.ResourceData)`

    - #### startgetResourceSource

          public void startgetResourceSource(ResourceData resourceData236,
                                             RestApiAdminCallbackHandler callback)
                                      throws RemoteException

      Auto generated method signature for Asynchronous Invocations
      Specified by:
        `startgetResourceSource` in interface `RestApiAdmin`
      Parameters:
        `getResourceSource235` -
      Throws:
        `RemoteException`
      See Also:
        `RestApiAdmin.startgetResourceSource(org.wso2.carbon.rest.api.stub.types.carbon.ResourceData, org.wso2.carbon.rest.api.stub.RestApiAdminCallbackHandler)`

    - #### getAPICount

          public int getAPICount()
                          throws RemoteException

      Auto generated method signature
      Specified by:
        `getAPICount` in interface `RestApiAdmin`
      Parameters:
        `getAPICount239` -
      Throws:
        `RemoteException`
      See Also:
        `RestApiAdmin.getAPICount()`

    - #### startgetAPICount

          public void startgetAPICount(RestApiAdminCallbackHandler callback)
                                throws RemoteException

      Auto generated method signature for Asynchronous Invocations
      Specified by:
        `startgetAPICount` in interface `RestApiAdmin`
      Parameters:
        `getAPICount239` -
      Throws:
        `RemoteException`
      See Also:
        `RestApiAdmin.startgetAPICount(org.wso2.carbon.rest.api.stub.RestApiAdminCallbackHandler)`

    - #### getApiSource

          public String getApiSource(APIData apiData243)
                              throws RemoteException

      Auto generated method signature
      Specified by:
        `getApiSource` in interface `RestApiAdmin`
      Parameters:
        `getApiSource242` -
      Throws:
        `RemoteException`
      See Also:
        `RestApiAdmin.getApiSource(org.wso2.carbon.rest.api.stub.types.carbon.APIData)`

    - #### startgetApiSource

          public void startgetApiSource(APIData apiData243,
                                        RestApiAdminCallbackHandler callback)
                                 throws RemoteException

      Auto generated method signature for Asynchronous Invocations
      Specified by:
        `startgetApiSource` in interface `RestApiAdmin`
      Parameters:
        `getApiSource242` -
      Throws:
        `RemoteException`
      See Also:
        `RestApiAdmin.startgetApiSource(org.wso2.carbon.rest.api.stub.types.carbon.APIData, org.wso2.carbon.rest.api.stub.RestApiAdminCallbackHandler)`

    - #### deleteAllApi

          public void deleteAllApi()
                            throws RemoteException,
                                   RestApiAdminAPIException

      Auto generated method signature
      Specified by:
        `deleteAllApi` in interface `RestApiAdmin`
      Throws:
        `RestApiAdminAPIException` - :
        `RemoteException`

    - #### addSwaggerDocument

          public void addSwaggerDocument(String apiName248,
                                         String swaggerJsonString249,
                                         int tenantId250)
                                  throws RemoteException,
                                         RestApiAdminAPIException

      Auto generated method signature
      Specified by:
        `addSwaggerDocument` in interface `RestApiAdmin`
      Throws:
        `RestApiAdminAPIException` - :
        `RemoteException`

    - #### updateApi

          public boolean updateApi(String apiName252,
                                   APIData apiData253)
                            throws RemoteException,
                                   RestApiAdminAPIException

      Auto generated method signature
      Specified by:
        `updateApi` in interface `RestApiAdmin`
      Parameters:
        `updateApi251` -
      Throws:
        `RestApiAdminAPIException` - :
        `RemoteException`
      See Also:
        `RestApiAdmin.updateApi(java.lang.String, org.wso2.carbon.rest.api.stub.types.carbon.APIData)`

    - #### startupdateApi

          public void startupdateApi(String apiName252,
                                     APIData apiData253,
                                     RestApiAdminCallbackHandler callback)
                              throws RemoteException

      Auto generated method signature for Asynchronous Invocations
      Specified by:
        `startupdateApi` in interface `RestApiAdmin`
      Parameters:
        `updateApi251` -
      Throws:
        `RemoteException`
      See Also:
        `RestApiAdmin.startupdateApi(java.lang.String, org.wso2.carbon.rest.api.stub.types.carbon.APIData, org.wso2.carbon.rest.api.stub.RestApiAdminCallbackHandler)`

    - #### getServerContext

          public String getServerContext()
                                  throws RemoteException,
                                         RestApiAdminAPIException

      Auto generated method signature
      Specified by:
        `getServerContext` in interface `RestApiAdmin`
      Parameters:
        `getServerContext256` -
      Throws:
        `RestApiAdminAPIException` - :
        `RemoteException`
      See Also:
        `RestApiAdmin.getServerContext()`

    - #### startgetServerContext

          public void startgetServerContext(RestApiAdminCallbackHandler callback)
                                     throws RemoteException

      Auto generated method signature for Asynchronous Invocations
      Specified by:
        `startgetServerContext` in interface `RestApiAdmin`
      Parameters:
        `getServerContext256` -
      Throws:
        `RemoteException`
      See Also:
        `RestApiAdmin.startgetServerContext(org.wso2.carbon.rest.api.stub.RestApiAdminCallbackHandler)`

    - #### updateApiForTenant

          public boolean updateApiForTenant(String apiName260,
                                            String apiData261,
                                            String tenantDomain262)
                                     throws RemoteException,
                                            RestApiAdminAPIException

      Auto generated method signature
      Specified by:
        `updateApiForTenant` in interface `RestApiAdmin`
      Parameters:
        `updateApiForTenant259` -
      Throws:
        `RestApiAdminAPIException` - :
        `RemoteException`
      See Also:
        `RestApiAdmin.updateApiForTenant(java.lang.String, java.lang.String, java.lang.String)`

    - #### startupdateApiForTenant

          public void startupdateApiForTenant(String apiName260,
                                              String apiData261,
                                              String tenantDomain262,
                                              RestApiAdminCallbackHandler callback)
                                       throws RemoteException

      Auto generated method signature for Asynchronous Invocations
      Specified by:
        `startupdateApiForTenant` in interface `RestApiAdmin`
      Parameters:
        `updateApiForTenant259` -
      Throws:
        `RemoteException`
      See Also:
        `RestApiAdmin.startupdateApiForTenant(java.lang.String, java.lang.String, java.lang.String, org.wso2.carbon.rest.api.stub.RestApiAdminCallbackHandler)`

    - #### getApiNames

          public String[] getApiNames()
                               throws RemoteException

      Auto generated method signature
      Specified by:
        `getApiNames` in interface `RestApiAdmin`
      Parameters:
        `getApiNames265` -
      Throws:
        `RemoteException`
      See Also:
        `RestApiAdmin.getApiNames()`

    - #### startgetApiNames

          public void startgetApiNames(RestApiAdminCallbackHandler callback)
                                throws RemoteException

      Auto generated method signature for Asynchronous Invocations
      Specified by:
        `startgetApiNames` in interface `RestApiAdmin`
      Parameters:
        `getApiNames265` -
      Throws:
        `RemoteException`
      See Also:
        `RestApiAdmin.startgetApiNames(org.wso2.carbon.rest.api.stub.RestApiAdminCallbackHandler)`

    - #### addApi

          public boolean addApi(APIData apiData269)
                         throws RemoteException,
                                RestApiAdminAPIException

      Auto generated method signature
      Specified by:
        `addApi` in interface `RestApiAdmin`
      Parameters:
        `addApi268` -
      Throws:
        `RestApiAdminAPIException` - :
        `RemoteException`
      See Also:
        `RestApiAdmin.addApi(org.wso2.carbon.rest.api.stub.types.carbon.APIData)`

    - #### startaddApi

          public void startaddApi(APIData apiData269,
                                  RestApiAdminCallbackHandler callback)
                           throws RemoteException

      Auto generated method signature for Asynchronous Invocations
      Specified by:
        `startaddApi` in interface `RestApiAdmin`
      Parameters:
        `addApi268` -
      Throws:
        `RemoteException`
      See Also:
        `RestApiAdmin.startaddApi(org.wso2.carbon.rest.api.stub.types.carbon.APIData, org.wso2.carbon.rest.api.stub.RestApiAdminCallbackHandler)`

    - #### generateAPIFromSwagger

          public String generateAPIFromSwagger(String swaggerJsonString273)
                                        throws RemoteException,
                                               RestApiAdminAPIException

      Auto generated method signature
      Specified by:
        `generateAPIFromSwagger` in interface `RestApiAdmin`
      Parameters:
        `generateAPIFromSwagger272` -
      Throws:
        `RestApiAdminAPIException` - :
        `RemoteException`
      See Also:
        `RestApiAdmin.generateAPIFromSwagger(java.lang.String)`

    - #### startgenerateAPIFromSwagger

          public void startgenerateAPIFromSwagger(String swaggerJsonString273,
                                                  RestApiAdminCallbackHandler callback)
                                           throws RemoteException

      Auto generated method signature for Asynchronous Invocations
      Specified by:
        `startgenerateAPIFromSwagger` in interface `RestApiAdmin`
      Parameters:
        `generateAPIFromSwagger272` -
      Throws:
        `RemoteException`
      See Also:
        `RestApiAdmin.startgenerateAPIFromSwagger(java.lang.String, org.wso2.carbon.rest.api.stub.RestApiAdminCallbackHandler)`

Copyright © 2019 WSO2. All rights reserved.